javax.websocket

## Class ClientEndpointConfig.Builder

- java.lang.Object
- - javax.websocket.ClientEndpointConfig.Builder

- Enclosing interface:
    ClientEndpointConfig

      public static final class ClientEndpointConfig.Builder
      extends Object

  The ClientEndpointConfig.Builder is a class used for creating `ClientEndpointConfig` objects for the purposes of deploying a client endpoint. Here are some examples: Building a plain configuration with no encoders, decoders, subprotocols or extensions. `ClientEndpointConfig cec = ClientEndpointConfig.Builder.create().build();` Building a configuration with no subprotocols and a custom configurator.

       ClientEndpointConfig customCec = ClientEndpointConfig.Builder.create()
               .preferredSubprotocols(mySubprotocols)
               .configurator(new MyClientConfigurator())
               .build();

  Author:
    dannycoward

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientEndpointConfig` | `build()` Builds a configuration object using the attributes set on this builder.
    `ClientEndpointConfig.Builder` | `configurator(ClientEndpointConfig.Configurator clientEndpointConfigurator)` Sets the configurator object for the configuration this builder will build.
    `static ClientEndpointConfig.Builder` | `create()` Creates a new builder object with no subprotocols, extensions, encoders, decoders and a `null` configurator.
    `ClientEndpointConfig.Builder` | `decoders(List<Class<? extends Decoder>> decoders)` Assign the list of decoder implementation classes the client will use.
    `ClientEndpointConfig.Builder` | `encoders(List<Class<? extends Encoder>> encoders)` Assign the list of encoder implementation classes the client will use.
    `ClientEndpointConfig.Builder` | `extensions(List<Extension> extensions)` Set the extensions for the configuration this builder will build.
    `ClientEndpointConfig.Builder` | `preferredSubprotocols(List<String> preferredSubprotocols)` Set the preferred sub protocols for the configuration this builder will build.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static ClientEndpointConfig.Builder create()

      Creates a new builder object with no subprotocols, extensions, encoders, decoders and a `null` configurator.
      Returns:
        a new builder object.

    - #### build

          public ClientEndpointConfig build()

      Builds a configuration object using the attributes set on this builder.
      Returns:
        a new configuration object.

    - #### configurator

          public ClientEndpointConfig.Builder configurator(ClientEndpointConfig.Configurator clientEndpointConfigurator)

      Sets the configurator object for the configuration this builder will build.
      Parameters:
        `clientEndpointConfigurator` - the configurator
      Returns:
        the builder instance

    - #### preferredSubprotocols

          public ClientEndpointConfig.Builder preferredSubprotocols(List<String> preferredSubprotocols)

      Set the preferred sub protocols for the configuration this builder will build. The list is treated in order of preference, favorite first, that this client would like to use for its sessions.
      Parameters:
        `preferredSubprotocols` - the preferred subprotocol names.
      Returns:
        the builder instance

    - #### extensions

          public ClientEndpointConfig.Builder extensions(List<Extension> extensions)

      Set the extensions for the configuration this builder will build. The list is treated in order of preference, favorite first, that the client would like to use for its sessions.
      Parameters:
        `extensions` - the extensions
      Returns:
        the builder instance

    - #### encoders

          public ClientEndpointConfig.Builder encoders(List<Class<? extends Encoder>> encoders)

      Assign the list of encoder implementation classes the client will use.
      Parameters:
        `encoders` - the encoder implementation classes
      Returns:
        the builder instance

    - #### decoders

          public ClientEndpointConfig.Builder decoders(List<Class<? extends Decoder>> decoders)

      Assign the list of decoder implementation classes the client will use.
      Parameters:
        `decoders` - the decoder implementation classes
      Returns:
        this builder instance

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.